<?php

$_['main_sheet'] = array(
    'name' => 'Options',
    'table' => array(
        'name' => 'o',
        'full_name' => 'option',
        'key' => 'option_id'
        ),

    'tables' => array(
        array(
            'name' => 'od',
            'full_name' => 'option_description',
            'key' => 'option_id',
            'join' => 'INNER',
            'multi_language' => 1
            )
        ),

    'columns' => array(
        array(
            'column' => 'option_id',
            'table' => 'o',
            'name' => 'Option ID',
            'filter' => 1
            ),
        array(
            'column' => 'type',
            'table' => 'o',
            'name' => 'Type',
            'filter' => 1
            ),
        array(
            'column' => 'name',
            'table' => 'od',
            'name' => 'Name',
            'filter' => 1
            ),
        array(
            'column' => 'sort_order',
            'table' => 'o',
            'name' => 'Sort Order',
            'filter' => 1
            ),
        ),

    'values' => array(
        'table' => array(
            'name' => 'ov',
            'full_name' => 'option_value',
            'key' => 'option_value_id',
            'related_key' => 'option_id'
            ),

        'tables' => array(
            array(
                'name' => 'ovd',
                'full_name' => 'option_value_description',
                'key' => 'option_value_id',
                'require_key' => 'option_id',
                'join' => 'INNER',
                'multi_language' => 1
                )
            ),

        'columns' => array(
            array(
                'column' => 'option_value_id',
                'table' => 'ov',
                'name' => 'Option Value ID'
                ),
            array(
                'column' => 'name',
                'table' => 'ovd',
                'name' => 'Name'
                ),
            array(
                'column' => 'image',
                'table' => 'ov',
                'name' => 'Image'
                ),
            array(
                'column' => 'sort_order',
                'table' => 'ov',
                'name' => 'Sort Order'
                ),
            ),
        )
    );

$_['sheets'] = array();